<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/JobsGrid.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/TranslatorJobs.inc.php" );
	
	class MiniJobs extends JobsGrid {
		public function __construct( $id , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->iPagesize = 3;
		}

		public function constructColumns() {
			$this->addColumn( "job_title" , "<b>" . __("jobspage_Title","attr") . "</b>" , true );
		}

		public function render() {
			if ($this->sRendered) return ($this->sRendered);
			$this->setParam( "url_more_jobs" , TranslatorJobsURL::renderURL() );
			return parent::render();
		}

	}

?>
